Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations.attribute
Class ExplicitHibernateTypeSourceImpl

    java.lang.Object
      org.hibernate.metamodel.source.annotations.attribute.ExplicitHibernateTypeSourceImpl

All Implemented Interfaces:
  ExplicitHibernateTypeSource

    public class ExplicitHibernateTypeSourceImpl

extends Object
implements ExplicitHibernateTypeSource

Constructor Summary
`ExplicitHibernateTypeSourceImpl(AttributeTypeResolver typeResolver)`

Method Summary
`String` | `getName()` Obtain the supplied Hibernate type name.
`Map<String,String>` | `getParameters()` Obtain any supplied Hibernate type parameters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExplicitHibernateTypeSourceImpl

    public ExplicitHibernateTypeSourceImpl(AttributeTypeResolver typeResolver)

Method Detail

### getName

    public String getName()

  Description copied from interface: `ExplicitHibernateTypeSource`
  Obtain the supplied Hibernate type name.

  Specified by:
    `getName` in interface `ExplicitHibernateTypeSource`
  Returns:
    The Hibernate type name

### getParameters

    public Map<String,String> getParameters()

  Description copied from interface: `ExplicitHibernateTypeSource`
  Obtain any supplied Hibernate type parameters.

  Specified by:
    `getParameters` in interface `ExplicitHibernateTypeSource`
  Returns:
    The Hibernate type parameters.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.